local E = select(2, ...) -- Engine
local LOC, LOC_deDE, LOC_enUS = E:LoadModules("Locale", "LOC_deDE", "LOC_enUS")

local Locale = GetLocale()

do
	if Locale == "enUS" then
		LOC = LOC_enUS
	elseif Locale == "deDE" then
		LOC = LOC_deDE
	else
		LOC = LOC_enUS -- More to come hopefully
	end
end

E:AddModule("Locale", LOC)